//Menu slide
const bodyElement = document.querySelector("body");
const openButton = document.getElementById("open_menu");
const slider = document.getElementById("popup-nav");
const closeButton = document.getElementById("close_menu");
const backgroundMenu = document.getElementById("background-menu");
// openButton.addEventListener("click", () => {
//   slider.classList.add("active-menu");
//   bodyElement.style.overflow = "hidden";
// });

// closeButton.addEventListener("click", () => {
//   slider.classList.remove("active-menu");
//   bodyElement.style.overflow = "auto";
// });

const icons = document.querySelectorAll(".icon");
icons.forEach((icon) => {
  icon.addEventListener("click", () => {
    icon.classList.toggle("open");
    slider.classList.toggle("active-menu");
    backgroundMenu.classList.toggle("active-menu");
    bodyElement.classList.toggle("hide-scroll");
  });
});

window.addEventListener("resize", (e) => {
  if (window.innerWidth > 1279) slider.classList.remove("active-menu");
  slider.classList.remove("active-menu");
  backgroundMenu.classList.remove("active-menu");
  icons.forEach((icon) => {
    icon.classList.remove("open");
  });
});
